import 'package:pshared/data/dto/storable.dart';
import 'package:pshared/models/storable.dart';


extension StorableMapper on Storable {
  StorableDTO toDTO() => StorableDTO(id: id, createdAt: createdAt.toUtc(), updatedAt: updatedAt.toUtc());
}

extension StorableDTOMapper on StorableDTO {
  Storable toDomain() => newStorable(id: id, createdAt: createdAt, updatedAt: updatedAt);
}
